Subject: RE: Question about the need for a "Router Alert Option" (RFC 2711) within a Hop-By-Hop Option Extension Header (RFC 2460) ...

From: "John Spence" <[email-masked]>
Date: Tue, 1 Nov 2005 19:30:47 -0800

Sorry - that fired too fast.
 
RFC 2711 also references RFC 2460, so it was built for the H-B-H
extension header.  Also, if you look at RFC 3810 (MLDv2), it also
references the Router Alert Option and says:
 
All MLDv2 messages described in this document MUST be sent with a
link-local IPv6 Source Address, an IPv6 Hop Limit of 1, and an
IPv6 Router Alert option [RFC2711] in a Hop-by-Hop Options
header.  (The Router Alert option is necessary to cause routers
to examine MLDv2 messages sent to IPv6 multicast addresses in
which the routers themselves have no interest.)
 
So, I still don't understand the Router Alert Option, but I see a
number of places where it is referenced.

	[[Spence]]   
________________________________

	From: John Spence [mailto:[email-masked]] 
	Sent: Tuesday, November 01, 2005 7:25 PM
	To: 'Fred Baker'
	Cc: [email-masked]'
	Subject: RE: Question about the need for a "Router Alert
Option" (RFC 2711) within a Hop-By-Hop Option Extension Header
(RFC 2460) ...

	Thanks for the quick reply.  The Router Alert Option (RFC
2711) is dated October 1999.  It says "This memo describes a new
IPv6 Hop-by-Hop Option type ", so the Router Alert is designed
for the H-B-H Extension header.

	----------------------------------------------------
	John Spence, CCSI, CCNA, CISSP
	Native6, Inc.
	IPv6 Training and Consulting
	[email-masked]
	(wk) 206-682-0275
	www.native6.com
	----------------------------------------------------

________________________________

		From: Fred Baker [mailto:[email-masked]] 
		Sent: Tuesday, November 01, 2005 6:48 PM
		To: John Spence
		Cc: [email-masked]
		Subject: Re: Question about the need for a
"Router Alert Option" (RFC 2711) within a Hop-By-Hop Option
Extension Header (RFC 2460) ...

		one of them sounds like it is redundant. I think
the Router Alert predated the HBH header... 

		On Nov 1, 2005, at 6:04 PM, John Spence wrote:

			Hello;
						If the H-B-H
extension header means "all intermediate nodes must look in here
for options to process", why is the "Router Alert" option needed?
As I read the text of the two RFCs, the Router Alert Option is
redundant - just including a H-B-H header means "intermediate
nodes must look at this packet even if it is not addressed to
them", which seems to be the same meaning as Router Alert.
						I must be missing
something. Can someone provide a quick answer, or a pointer to
the answer so I can research it myself?
						Thanks very much.
						John Spence

-----------------------------------------------------------------
---
			IETF IPv6 working group mailing list
			[email-masked]
			Administrative Requests:
https://www1.ietf.org/mailman/listinfo/ipv6
	
-----------------------------------------------------------------
---

--------------------------------------------------------------
		"Don't worry about the world coming to an end
today. It's already tomorrow in Australia." (Charles Schulz ) 

--------------------------------------------------------------------
IETF IPv6 working group mailing list
[email-masked]
Administrative Requests: https://www1.ietf.org/mailman/listinfo/ipv6
--------------------------------------------------------------------

---

From: "Brian McGehee" <[email-masked]>
Date: Wed, 2 Nov 2005 09:48:16 -0800

I like to think of it like this.

A Router alert is a messaging saying "Hey Routers.  You MIGHT be interested
in the body(payload. Other ext headers) of this packet"

A HBH is a message saying "Hey ALL NODES in transit.  You MUST look in the
HBH and do what it says" 

Hope that helps... (hi john)
-Brian
http://consult.tavian.com/

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of John
Spence
Sent: Tuesday, November 01, 2005 7:31 PM
To: 'Fred Baker'
Cc: [email-masked]
Subject: RE: Question about the need for a "Router Alert Option" (RFC
2711)within a Hop-By-Hop Option Extension Header (RFC 2460) ...

RFC 2711 also references RFC 2460, so it was built for the H-B-H extension
header.  Also, if you look at RFC 3810 (MLDv2), it also references the
Router Alert Option and says:
 
All MLDv2 messages described in this document MUST be sent with a link-local
IPv6 Source Address, an IPv6 Hop Limit of 1, and an
IPv6 Router Alert option [RFC2711] in a Hop-by-Hop Options header.  (The
Router Alert option is necessary to cause routers to examine MLDv2 messages
sent to IPv6 multicast addresses in which the routers themselves have no
interest.)
 
So, I still don't understand the Router Alert Option, but I see a number of
places where it is referenced.

	[[Spence]]   

	From: John Spence [mailto:[email-masked]] 
	Sent: Tuesday, November 01, 2005 7:25 PM
	To: 'Fred Baker'
	Cc: [email-masked]'
	Subject: RE: Question about the need for a "Router Alert Option"
(RFC 2711) within a Hop-By-Hop Option Extension Header (RFC 2460) ...

	Thanks for the quick reply.  The Router Alert Option (RFC
2711) is dated October 1999.  It says "This memo describes a new
IPv6 Hop-by-Hop Option type ", so the Router Alert is designed for the H-B-H
Extension header.

	 

		From: Fred Baker [mailto:[email-masked]] 
		Sent: Tuesday, November 01, 2005 6:48 PM
		To: John Spence
		Cc: [email-masked]
		Subject: Re: Question about the need for a "Router Alert
Option" (RFC 2711) within a Hop-By-Hop Option Extension Header (RFC 2460)
...

		one of them sounds like it is redundant. I think the Router
Alert predated the HBH header... 

			Hello;
						If the H-B-H
extension header means "all intermediate nodes must look in here for options
to process", why is the "Router Alert" option needed?
As I read the text of the two RFCs, the Router Alert Option is redundant -
just including a H-B-H header means "intermediate nodes must look at this
packet even if it is not addressed to them", which seems to be the same
meaning as Router Alert.
						I must be missing
something. Can someone provide a quick answer, or a pointer to the answer so
I can research it myself?
						Thanks very much.
						John Spence

	

--------------------------------------------------------------
		"Don't worry about the world coming to an end today. It's
already tomorrow in Australia." (Charles Schulz )

---

From: "John Spence" <[email-masked]>
Date: Wed, 2 Nov 2005 14:29:30 -0800

I believe I see the distinction.  The Router Alert is of
particular interest to routers, not all intermediate nodes, and
it includes "extra" information about the contents of the packet
(outside the Router Alert Option or indeed other options in the
H-B-H header).

A H-B-H extension header says "look at the options and perform
them", and the Router Alert is a "hint" saying there may be even
more interesting stuff in the packet - besides just the options -
that requires the router's attention.

Spence 
(hi Brian)

>From: Brian McGehee [mailto:[email-masked]] 
>Sent: Wednesday, November 02, 2005 9:48 AM
>To: 'John Spence'; 'Fred Baker'
>Cc: [email-masked]
>Option" (RFC 2711)within a Hop-By-Hop Option Extension Header 
>(RFC 2460) ...
>
>A Router alert is a messaging saying "Hey Routers.  You MIGHT 
>be interested in the body(payload. Other ext headers) of this
packet"
>
>A HBH is a message saying "Hey ALL NODES in transit.  You MUST 
>look in the HBH and do what it says" 
>
>From: [email-masked] [mailto:[email-masked]] On 
>Behalf Of John Spence
>Option" (RFC 2711)within a Hop-By-Hop Option Extension Header 
>(RFC 2460) ...
>
>
>RFC 2711 also references RFC 2460, so it was built for the 
>H-B-H extension header.  Also, if you look at RFC 3810 
>(MLDv2), it also references the Router Alert Option and says:
> 
>header.  (The Router Alert option is necessary to cause 
>routers to examine MLDv2 messages sent to IPv6 multicast 
>addresses in which the routers themselves have no
>interest.)
> 
>So, I still don't understand the Router Alert Option, but I 
>see a number of places where it is referenced.
> 
>
>	[[Spence]]   
Option"
>		one of them sounds like it is redundant. I 
>think the Router Alert predated the HBH header... 
>
>extension header means "all intermediate nodes must look in 
>here for options to process", why is the "Router Alert" option
needed?

---

From: "John Spence" <[email-masked]>
Date: Wed, 2 Nov 2005 14:29:30 -0800

Spence 
(hi Brian)

packet"
Option"
needed?

---

From: Fred Baker <[email-masked]>
Date: Wed, 2 Nov 2005 14:41:12 -0800

I would reword that slightly. Melinda Shoer has been known to suggest  
that RSVP might be used as a firewall traversal mechanism, implying  
that a NAT/Firewall might be interested in the protocol even though  
it is "middleware" more than "router".

It does mean, however, "if you receive this message, you may  
determine that you are interested in its contents under a stated  
configuration", and it does not mean "you must act as if you are  
interested".

--------------------------------------------------------------
"Don't worry about the world coming to an end today. It's already  
tomorrow in Australia." (Charles Schulz )